from clients.imagej.client import hit_endpoint

from ij import IJ

def setup(pixel_classifier, object_classifier, input_path):
    """

    :param pixel_classifier: (str)
    :param object_classifier: (str)
    :return:
    """
    result = []
    # configure input path - no endpoint yet

    # configure output path - no endpoint yet

    # load pixel classifier first time only
    resp = hit_endpoint(
        'PUT',
        '/models/ilastik/pixel_classification/load/',
        {
            'project_file': pixel_classifier,
            'duplicate': False,
        },
    )
    result['pxmid'] = resp['model_id']

    # load pixel classifier first time only
    resp = hit_endpoint(
        'PUT', '/models/ilastik/object_classification/load/',
        {
            'project_file': object_classifier,
            'duplicate': False,
        },
    )
    result['obmid'] = resp['model_id']
    resp = hit_endpoint('GET', '/models', verbose=True)
    return result

def get_object_map(pixel_classifier, object_classifier, input_path, input_filename, channel):
    """

    :param pixel_classifier: (str)
    :param object_classifier: (str)
    :return:
    """
    # eventually split this off
    ids = setup(pixel_classifier, object_classifier, input_path)

    resp = hit_endpoint(
        'PUT',
        '/chaeo/classify_zstack/infer',
        {
            'px_model_id': ids['pxmid']
            'ob_model_id': ids['obmid'],
            'input_filename': input_filename,
            'channel': channel
        }
    )
    imp =

    return IJ.ImagePlus()